Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.avtransport.callback
Class GetMediaInfo

    java.lang.Object
      org.teleal.cling.controlpoint.ActionCallback
          org.teleal.cling.support.avtransport.callback.GetMediaInfo

All Implemented Interfaces:
  Runnable

    public abstract class GetMediaInfo

extends org.teleal.cling.controlpoint.ActionCallback

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.cling.controlpoint.ActionCallback
`org.teleal.cling.controlpoint.ActionCallback.Default`

Field Summary

Fields inherited from class org.teleal.cling.controlpoint.ActionCallback
`actionInvocation, controlPoint`

Constructor Summary
`GetMediaInfo(org.teleal.cling.model.meta.Service service)`
`GetMediaInfo(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId, org.teleal.cling.model.meta.Service service)`

Method Summary
`abstract void` | `received(org.teleal.cling.model.action.ActionInvocation invocation, MediaInfo mediaInfo)`
`void` | `success(org.teleal.cling.model.action.ActionInvocation invocation)`

Methods inherited from class org.teleal.cling.controlpoint.ActionCallback
`createDefaultFailureMessage, failure, failure, getActionInvocation, getControlPoint, run, setControlPoint, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetMediaInfo

    public GetMediaInfo(org.teleal.cling.model.meta.Service service)

### GetMediaInfo

    public GetMediaInfo(org.teleal.cling.model.types.UnsignedIntegerFourBytes instanceId,
                        org.teleal.cling.model.meta.Service service)

Method Detail

### success

    public void success(org.teleal.cling.model.action.ActionInvocation invocation)

  Specified by:
    `success` in class `org.teleal.cling.controlpoint.ActionCallback`

### received

    public abstract void received(org.teleal.cling.model.action.ActionInvocation invocation,
                                  MediaInfo mediaInfo)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.